'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Checkbox = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDripForm = require('react-drip-form');

var _Checkbox = require('material-ui/Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

var _ErrorLabel = require('./internal/ErrorLabel');

var _ErrorLabel2 = _interopRequireDefault(_ErrorLabel);

var _defaultFieldProps = require('./internal/defaultFieldProps');

var _defaultFieldProps2 = _interopRequireDefault(_defaultFieldProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Checkbox = function Checkbox(props) {
  var _props$input = props.input,
      onChange = _props$input.onChange,
      input = _objectWithoutProperties(_props$input, ['onChange']),
      meta = props.meta,
      shouldDisplayError = props.shouldDisplayError,
      errorLabelStyle = props.errorLabelStyle,
      labelText = props.labelText,
      rest = _objectWithoutProperties(props, ['input', 'meta', 'shouldDisplayError', 'errorLabelStyle', 'labelText']);

  var displayError = shouldDisplayError(props);

  return _react2.default.createElement(
    'span',
    null,
    _react2.default.createElement(_Checkbox2.default, _extends({}, rest, input, {
      onCheck: onChange,
      label: labelText
    })),
    displayError && _react2.default.createElement(
      _ErrorLabel2.default,
      { style: errorLabelStyle },
      meta.error
    )
  );
};

exports.Checkbox = Checkbox;
Checkbox.propTypes = _reactDripForm.FieldPropTypes;

var _default = (0, _reactDripForm.dripFormField)('checkbox', {
  defaultProps: _defaultFieldProps2.default
})(Checkbox);

exports.default = _default;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(Checkbox, 'Checkbox', 'src/Checkbox.js');

  __REACT_HOT_LOADER__.register(_default, 'default', 'src/Checkbox.js');
}();

;