'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable react/prop-types */


var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line

var ErrorText = function ErrorText(props, context) {
  var _context$muiTheme = context.muiTheme,
      textField = _context$muiTheme.textField,
      prepareStyles = _context$muiTheme.prepareStyles;
  var error = props.error,
      dirty = props.dirty,
      touched = props.touched,
      hiddenError = props.hiddenError,
      style = props.style;


  var shouldDisplayError = !hiddenError && !!(error && dirty && touched);

  if (!shouldDisplayError) {
    return null;
  }

  return _react2.default.createElement(
    'div',
    {
      style: prepareStyles(_extends({
        position: 'relative',
        marginTop: 5,
        fontSize: 12,
        lineHeight: '12px',
        color: textField.errorColor
      }, style || {}))
    },
    error
  );
};

ErrorText.contextTypes = {
  muiTheme: _propTypes2.default.object.isRequired
};

exports.default = ErrorText;