'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FieldGroup = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDripForm = require('react-drip-form');

var _ErrorLabel = require('./internal/ErrorLabel');

var _ErrorLabel2 = _interopRequireDefault(_ErrorLabel);

var _defaultGroupProps = require('./internal/defaultGroupProps');

var _defaultGroupProps2 = _interopRequireDefault(_defaultGroupProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var FieldGroup = function FieldGroup(props) {
  var children = props.children,
      shouldDisplayError = props.shouldDisplayError,
      errorLabelStyle = props.errorLabelStyle,
      meta = props.meta,
      rest = _objectWithoutProperties(props, ['children', 'shouldDisplayError', 'errorLabelStyle', 'meta']);

  var displayError = shouldDisplayError(props);

  return _react2.default.createElement(
    'div',
    rest,
    children,
    displayError && _react2.default.createElement(
      _ErrorLabel2.default,
      { style: errorLabelStyle },
      meta.error
    )
  );
};

exports.FieldGroup = FieldGroup;
FieldGroup.propTypes = _reactDripForm.GroupPropTypes;

var _default = (0, _reactDripForm.dripFormGroup)({
  defaultProps: _defaultGroupProps2.default
})(FieldGroup);

exports.default = _default;
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(FieldGroup, 'FieldGroup', 'src/FieldGroup.js');

  __REACT_HOT_LOADER__.register(_default, 'default', 'src/FieldGroup.js');
}();

;